Page MenuHomePhabricator

Descenders of text in last modified get clipped
Closed, ResolvedPublic

Description


Note the clipped 'y' and 'g'


Burmese

Developer notes

Unfortunately the last modified bar appears to be being clipped - again due to the .content class.
I suggest removing it from the element. It also caused issues with line-height.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2019, 11:24 PM

Change 539928 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Drop content class from last modified bar

https://gerrit.wikimedia.org/r/539928

Assuming this task is about MinervaNeue, hence adding project tag so others can find this task when searching for tasks under that project or looking at that project workboard.

Volker_E triaged this task as High priority.Oct 4 2019, 6:27 PM
Volker_E updated the task description. (Show Details)
Volker_E added a project: I18n.

I don't think it makes sense to optimize for one language script or even a language script group, revisiting this task. The MinervaNeue .content line-height is optimized for i18n and Burmese needs 1.65. It probably should be reverted and a comment should be added to the value instead.

Change 540937 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MinervaNeue@master] Revert "Last modified should have line-height 1" This caused T234492. It seems that 1.65 is the minimum to universally satisfy language scripts like Burmese. It predates MinervaNeue being split out and was invented in 2cad4ce3d7af09fba52d87a32518715029eb32a0. While it might not be set with this intention, 1.6 is already cutting off letters.

https://gerrit.wikimedia.org/r/540937

Change 540937 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Revert "Last modified should have line-height 1" This caused T234492. It seems that 1.65 is the minimum to universally satisfy language scripts like Burmese. It predates MinervaNeue being split out and was invented in 2cad4ce3d7af09fba52d87a32518715029eb32a0. While it might not be set with this intention, 1.6 is already cutting off letters.

https://gerrit.wikimedia.org/r/540937

Jdlrobson closed this task as Resolved.Oct 7 2019, 11:31 PM
Jdlrobson claimed this task.

Fixed by reverting patch for T233172